[weld-commits] Weld SVN: r5357 - ftest/trunk.

weld-commits at lists.jboss.org weld-commits at lists.jboss.org
Fri Dec 18 04:38:41 EST 2009


Author: kpiwko at redhat.com
Date: 2009-12-18 04:38:41 -0500 (Fri, 18 Dec 2009)
New Revision: 5357

Added:
   ftest/trunk/checkout.sh
Log:
WELD-349

Added: ftest/trunk/checkout.sh
===================================================================
--- ftest/trunk/checkout.sh	                        (rev 0)
+++ ftest/trunk/checkout.sh	2009-12-18 09:38:41 UTC (rev 5357)
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+usage()
+{
+cat << EOF
+usage: $0 options
+
+This script will check out Weld Functional Tests modules.
+
+OPTIONS:
+   -h      Show this message
+   -d      Destination directory, otherwise the PWD is used 
+   -r      Checkout in readonly mode from anonsvn
+   -v      Be more verbose
+   -du     Dont run SVN update if the module already exists
+EOF
+}
+
+DESTINATION=`pwd`
+READONLY=0
+VERBOSE=0
+SVNBASE=
+SVNARGS=
+SVNUPDATE=1
+
+MODULES="common login numberguess translator"
+
+while getopts “h:r:d:v” OPTION
+do
+     case $OPTION in
+         h)
+             usage
+             exit 1
+             ;;
+         d)
+             DESTINATION=$OPTARG
+             ;;
+         du)
+             SVNUPDATE=0
+             ;;
+         r)
+             READONLY=1
+             ;;
+         v)
+             VERBOSE=1
+             ;;
+         ?)
+             usage
+             exit
+             ;;
+     esac
+done
+
+if [ "$READONLY" -eq "1" ]
+then
+   SVNBASE="http://anonsvn.jboss.org/repos/weld"
+else
+   SVNBASE="https://svn.jboss.org/repos/weld"
+fi
+
+if [ "$VERBOSE" -eq "0" ]
+then
+   SVNARGS="--quiet"
+fi
+  
+
+url="$SVNBASE/ftest/trunk"
+moduledir=$DESTINATION
+if  [ -d $DESTINATION ]
+then
+   echo "Checking out to $DESTINATION"
+   echo "Updating ftest trunk"
+   svncmd="svn up $SVNARGS $url $DESTINATION"
+else
+   echo "Creating directory $DESTINATION to checkout to"
+   echo "Checking out ftest trunk"
+   svncmd="svn co $SVNARGS $url $DESTINATION"
+fi
+$svncmd
+
+for module in $MODULES
+do
+   url="$SVNBASE/ftest/$module/trunk"
+   moduledir=$DESTINATION/$module
+   if [ -d $moduledir ]
+   then
+      echo "Updating $module"
+      svncmd="svn up $SVNARGS $DESTINATION/$module"
+   else
+      echo "Checking out $module"
+      svncmd="svn co $SVNARGS $url $DESTINATION/$module"
+   fi
+   $svncmd
+done


Property changes on: ftest/trunk/checkout.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the weld-commits mailing list